@import './variables.scss';
@import './mixins.scss';
@import './normalize.scss';


/* fonts
   ---------------------------------------- */

@font-face {
  font-family: 'Avenir Next';
  src: url('/fonts/avenir-next-bold.woff');
  font-weight: 700;
  font-display: swap;
}

@font-face {
  font-family: 'Avenir Next';
  src: url('/fonts/avenir-next-regular.woff');
  font-weight: 500;
  font-display: swap;
}

@font-face {
  font-family: 'Tiempos';
  src: url('/fonts/tiempos-black.woff');
  font-weight: 900;
  font-display: swap;
}


/* resets
   ---------------------------------------- */

*,
*::before,
*::after {
  box-sizing: inherit;
}

html {
  box-sizing: border-box;
  height: 100%;
}

body {
  height: 100%;
  font-family: 'Avenir Next', sans-serif;
  color: $black;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  @include text-2;
}

h1, h2, h3, h4, h5, h6, p, ul, dl, dd, figure, blockquote {
  margin: 0;
}

ul {
  list-style: none;
  padding: 0;
}

a {
  color: inherit;
  text-decoration: none;
}


/* gatsby root elements
   ---------------------------------------- */

#___gatsby {
  height: 100%;
}

#___gatsby > div {
  height: 100%;
  display: flex;
  flex-direction: column;
}

#___gatsby main {
  flex: 1;
}


/* grid
   ---------------------------------------- */

.grid {
  margin: 0 auto;
  @include mobile {
    padding-left: 20px;
    padding-right: 20px;
  }
  @include tablet {
    display: grid;
    align-items: start;
    max-width: 735px;
    grid-template-columns: repeat(10, 1fr);
    grid-column-gap: 15px;
  }
  @include desktop {
    display: grid;
    align-items: start;
    grid-template-columns: repeat(12, 1fr);
    grid-column-gap: 20px;
    max-width: 940px;
  }
}


/* button
   ---------------------------------------- */

.button {
  font-weight: 500;
  font-size: 0.875rem;
  line-height: 1;
  padding: 8px 25px;
  border: 0;
  background-color: $gold;
  color: $black;
  border-radius: 99px;
  color: $black;
  cursor: pointer;
  min-width: 100px;
  text-align: center;
}

a.button {
  text-decoration: none;
  display: inline-block;
}


/* badge
   ---------------------------------------- */

.badge {
  border-radius: 2px;
  border: 1px solid;
  padding: 5px 4px 4px;
  display: inline-block;
  margin-top: 10px;
  @include text-4;
  font-weight: 700;
  &_gold {
    border-color: $gold;
    background: mix($gold, $white, 10%);
    color: $gold-dark;
  }
}


/* video
   ---------------------------------------- */

.video {
  &__thumbnail {
    width: 100%;
    height: auto;
  }
  &__caption {
    @include title-4;
    margin-top: 20px;
  }
}


/* categories
   ---------------------------------------- */

.categories {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  margin-bottom: -10px;
  > * {
    margin-right: 10px;
    margin-bottom: 10px;
  }
  &__overflow {
    font-size: 0.8125rem;
    color: gray;
    margin-top: 1px;
    white-space: nowrap;
  }
}

.category {
  @mixin category-color($color) {
    color: $color;
    border-color: mix($color, white, 40%);
  }
  font-size: 0.8125rem;
  line-height: 1;
  padding: 0.4375rem 0.625rem 0.375rem;
  border-radius: 99px;
  border: 1px solid;
  display: inline-block;
  white-space: nowrap;
  &_cancer {
    @include category-color($red);
  }
  &_infectious-disease,
  &_condensates-mutation {
    @include category-color($green);
  }
  &_transcription {
    @include category-color($purple);
  }
}


/* aside sections
   ---------------------------------------- */

.aside-section {
  &__title {
    margin-bottom: 20px;
    @include title-4;
    color: $gray;
    a {
      display: block;
      background: url('../../images/arrow-icon.svg') no-repeat right center;
    }
  }
}


/* aside subsection
   ---------------------------------------- */

.aside-subsection {
  border-top: 1px solid $gray-light;
  padding-top: 20px;
  padding-bottom: 20px;
  &:last-of-type {
    border-bottom: 1px solid $gray-light;
  }
  &__title {
    @include title-4;
    margin-bottom: 5px;
    &_sponsored {
      color: $gold-dark;
    }
  }
}


/* aside list
   ---------------------------------------- */

.aside-list {
  &__link {
    display: flex;
    justify-content: space-between;
    border-top: 1px solid $gray-light;
    padding: 20px 0;
    @include title-4;
    &_active {
      color: $gold-dark;
    }
  }
  &__item:last-of-type {
    border-bottom: 1px solid $gray-light;
  }
  &__detail {
    font-weight: normal;
    color: $gray;
  }
}
